Package org.opensaml.saml.saml1.core.impl

# Class SubjectStatementImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectStatementImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Statement`, `SubjectStatement`

Direct Known Subclasses:
  `AttributeStatementImpl`, `AuthenticationStatementImpl`, `AuthorizationDecisionStatementImpl`

public abstract class SubjectStatementImpl extends AbstractXMLObject implements SubjectStatement
Abstract implementation of `SubjectStatement` type.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Subject`
`subject`
Contains the Subject subelement.

### Fields inherited from interface org.opensaml.saml.saml1.core.SubjectStatement

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubjectStatementImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Subject`
`getSubject()`
Get the Subject of the statement.
`void`
`setSubject(Subject sub)`
Set the Subject of the statement.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### subject

@Nullable private Subject subject
Contains the Subject subelement.

## Constructor Details

### SubjectStatementImpl

protected SubjectStatementImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getSubject

@Nullable public Subject getSubject()
Get the Subject of the statement.

Specified by:
  `getSubject` in interface `SubjectStatement`
Returns:
  the Subject

### setSubject

public void setSubject(@Nullable Subject sub)
Set the Subject of the statement.

Specified by:
  `setSubject` in interface `SubjectStatement`
Parameters:
  `sub` - the Subject

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements